yesod-1.2.4: Creation of type-safe, RESTful web applications.

Safe Haskell | None

Yesod.Default.Main

Synopsis

- defaultMain :: (Show env, Read env) => IO (AppConfig env extra) -> (AppConfig env extra -> IO Application) -> IO ()
- defaultRunner :: (Application -> IO ()) -> Application -> IO ()
- defaultDevelApp :: (Show env, Read env) => IO (AppConfig env extra) -> (AppConfig env extra -> IO Application) -> IO (Int, Application)

# Documentation

defaultMain :: (Show env, Read env) => IO (AppConfig env extra) -> (AppConfig env extra -> IO Application) -> IO ()Source

Run your app, taking environment and port settings from the commandline.

``fromArgs`` helps parse a custom configuration

     main :: IO ()
     main = defaultMain (fromArgs parseExtra) makeApplication

defaultRunner :: (Application -> IO ()) -> Application -> IO ()Source

Run your application continously, listening for SIGINT and exiting when received

     withYourSite :: AppConfig DefaultEnv -> Logger -> (Application -> IO a) -> IO ()
     withYourSite conf logger f = do
         Settings.withConnectionPool conf $ \p -> do
             runConnectionPool (runMigration yourMigration) p
             defaultRunner f $ YourSite conf logger p

defaultDevelApp Source

Arguments

:: (Show env, Read env) |
=> IO (AppConfig env extra) | A means to load your development ``AppConfig``
-> (AppConfig env extra -> IO Application) | Get your `Application`
-> IO (Int, Application) |

Run your development app using a custom environment type and loader function